﻿/* ---------- URLアップロード共通 ---------- */
form {
    background-color: #F6F8FB;
}

.urlNavigation {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    width: 100%;
    height: 100%;
    max-width: 1920px;
    min-width: 960px;
}

.urlNav-title {
    margin-left: 24px;
}

.urlNavigation_menu {
    margin-left: 24px;
    font-weight: 700;
    font-size: 16px;
    line-height: 100%;
}

.mainInnerUpload {
    flex: 1;
    margin-top: 57px;
    min-width: 720px;
}

.uploadArea {
    margin: 0 auto;
    padding-top: 40px;
    padding-bottom: 40px;
    width: 636px;
    word-break: break-all;
}

.uploadArea-large {
    margin: 0 auto;
    padding-top: 40px;
    padding-bottom: 40px;
    width: 1076px;
    background-color: #F6F8FB;
    word-break: break-all;
}

.urlUploadForm {
    margin-bottom: 40px;
    padding: 40px;
    background-color: #FFFFFF;
    border-radius: 8px
}

.urlUploadWrapper {
    display: flex;
    width: 100%;
    background-color: #FFFFFF;
    border-radius: 8px
}

.urlUploadInfo {
    padding: 40px 24px 40px 40px;
    width: 550px;
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
    box-sizing: border-box;
}

.urlUploadFilePreview {
    position: relative;
    width: 526px;
    height: 805px;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
}

.urlUploadForm_title {
    margin-bottom: 24px;
    font-weight: 700;
    font-size: 20px;
    line-height: 150%;
}

.buttonArea {
    margin-top: 32px;
    text-align: center;
}

.errorTextUpload {
    color: #D1511A;
    font-size: 12px;
    line-height: 150%;
}

.errorTextUpload-modelState {
    margin-bottom: 10px;
    color: #D1511A;
    font-size: 14px;
    line-height: 160%;
}

/* ---------- ヘッダー部分 ---------- */
.companyName {
    margin: 0 auto 40px auto;
    width: 636px;
    text-align: center;
    font-weight: 700;
    font-size: 20px;
    line-height: 150%;
}

.uploadStep {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto 40px auto;
    width: 636px;
    font-weight: 400;
    font-size: 16px;
    line-height: 150%;
}

.uploadStep_mark-working {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 8px;
    width: 32px;
    height: 32px;
    color: #FFFFFF;
    background: #2D55AD;
    border-radius: 30px;
    text-align: center;
}

.uploadStep_mark-notWorking {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 8px;
    width: 32px;
    height: 32px;
    color: #FFFFFF;
    background: #BDC6D1;
    border-radius: 30px;
    text-align: center;
}

.uploadStep_mark-complete {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 8px;
    width: 32px;
    height: 32px;
    background: #58A69C;
    border-radius: 30px;
    text-align: center;
}

.uploadStep_line {
    flex-grow: 1;
    margin-right: 30px;
    margin-left: 30px;
    height: 2px;
    background: #D9DEE5;
}

.uploadStep_line-complete {
    flex-grow: 1;
    margin-right: 30px;
    margin-left: 30px;
    height: 2px;
    background: #58A69C;
}

/* ------------------ 書類アップロード画面 ------------------ */
.documentUpload_dropArea {
    margin-top: 24px;
    background: #F8FAFC;
    border: 1px dashed #2D55AD;
    border-radius: 8px;
    text-align: center;
}

.dropArea_uploadImage {
    margin-top: 25px;
    margin-bottom: 8px;
}

.dropArea_textArea {
    line-height: 18px;
}

.dropArea_fileButton {
    border: 1px solid #4F6071;
    border-radius: 4px;
    margin-top: 8px;
    margin-bottom: 26px;
    padding: 4px 16px;
    height: 32px;
    text-align: center;
    color: #4F6071;
    font-size: 12px;
}

.dropArea_fileButton:hover { 
    cursor: pointer;
    background-color: #EDF1F5;
    transition: 0.4s;
}

.dropArea_fileButton:focus { 
    cursor: pointer;
    background-color: #EDF1F5;
    transition: 0.4s;
}

.documentUpload_dropArea-error {
    position: relative;
    padding: 0;
    margin-top: 24px;
    background: rgba(45, 85, 173, 0.03);
    border: 1px dashed #2D55AD;
    border-radius: 8px;
    border-color: #D1511A;
    text-align: center;
}

.documentUpload_textSub {
    font-size: 12px;
    line-height: 150%;
    color: #798A9A;
}

.uploadError {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 24px;
    padding: 16px;
    background: linear-gradient(0deg, rgba(255, 255, 255, 0.9), rgba(255, 255, 255, 0.9)), #F44336;
}

.uploadError_text {
    flex-grow: 1;
    margin: 0 16px;
    font-size: 16px;
    line-height: 150%;
}

.fileInfo {
    display: flex;
    align-items: center;
    margin-bottom: 16px;
    font-size: 12px;
}

.fileInfo_text {
    width: 50%;
}

.fileInfo_link {
    width: 50%;
    text-align: right;
}

.documentUploadFile {
    display: flex;
    position: relative;
    margin-bottom: 16px;
    padding: 12px 16px;
    align-items: center;
    border: 1px solid #D9DEE5;
    border-radius: 4px;
}

.documentUploadFile_icon-attach {
    width: 24px;
    margin-right: 8px;
    text-align: left;
}

.documentUploadFile_icon-attach img {
    display: block;
}

.documentUploadFile_name {
    flex-grow: 1;
    text-align: left;
}

.documentUploadFile_icon-close {
    display: block;
    margin-left: 8px;
    width: 24px;
    text-align: right;
}

.progressBar {
    display: none;
    position: fixed;
    bottom: 24px;
    right: 24px;
    width: 444px;
    background: #000000;
    box-shadow: 0px 4px 24px rgba(0, 0, 0, 0.25);
    border-radius: 8px;
    text-align: center;
    z-index: 10003;
}

.progressBar_icon-close {
    position: relative;
    left: 204px;
    margin-top: 8px;
    margin-right: 12px;
    cursor: pointer;
}

.progressBar_text {
    margin-bottom: 24px;
    text-align: center;
    font-size: 13px;
    line-height: 150%;
    color: #FFFFFF;
}

.progressBar_text p {
    text-align: left;
	display: inline-block;
}

.progressBar_bar {
    margin-bottom: 35px;
    width: 323px;
    height: 7px;
    background: #FFFFFF
}

.progressBar_bar::-webkit-progress-bar {
    border-radius: 2px;
    background: #FFFFFF
}

.progressBar_bar::-webkit-progress-value {
    border-radius: 2px;
    background-color: #80BE5A;
}

.progressBar_bar::-moz-progress-bar {
    border-radius: 2px;
    background-color: #80BE5A;
}

.progressBar_bar::-ms-fill {
    border-radius: 2px;
    background-color: #80BE5A;
}

/* ------------------ 内容入力画面 ------------------ */
.inputForm_title {
    font-weight: 700;
    font-size: 12px;
    line-height: 100%;
    margin-top: 8px;
    margin-bottom: 4px;
}

.inputForm_title-Required {
    display: inline-block;
    margin-left: 8px;
    padding: 0 4px;
    height: 16px;
    font-weight: 700;
    font-size: 10px;
    line-height: 16px;
    color: #FFFFFF;
    background: #D1511A;
    border-radius: 4px;
}

.inputForm_textBox {
    padding: 0 16px;
    width: 100%;
    height: 48px;
    background: #FFFFFF;
    border: 1px solid #BDC6D1;
    border-radius: 4px;
    box-sizing: border-box;
}

.inputForm_textBox-error {
    padding: 0 16px;
    width: 100%;
    height: 48px;
    background: #FFFFFF;
    border: 1px solid #d1511a;
    border-radius: 4px;
    box-sizing: border-box;
}

.inputForm_textArea {
    box-sizing: border-box;
    padding: 16px;
    width: 100%;
    height: 124px;
    background: #FFFFFF;
    border: 1px solid #BDC6D1;
    border-radius: 4px;
    overflow: auto;
}

/* ------------------ 送信画面 ------------------ */
.urlUploadInfo_address {
    line-height: 150%;
    margin-bottom: 8px;
    font-weight: 700;
}

.urlUploadInfo_attention {
    line-height: 150%;
    color: #F44336;
    margin-bottom: 24px;
}

.urlUploadInfo_fixLink {
    margin-bottom: 8px;
    text-align: right;
    font-size: 12px;
    line-height: 15px;
    color: #2D55AD;
}

.urlUploadInfo_inboxInfo {
    padding: 16px;
    margin-bottom: 24px;
    max-height: 240px;
    border: 1px solid #D9DEE5;
    border-radius: 8px;
    overflow: auto;
}

.inboxInfo_row {
    display: flex;
    margin-bottom: 16px;
    width: 100%;
}

.inboxInfo_title {
    margin-right: 24px;
    width: 75px;
    line-height: 150%;
    color: #4F6071
}

.inboxInfo_content {
    flex: 1;
    line-height: 150%;
}

.urlUploadInfo_checkFileInfo {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
    font-size: 12px;
}

.checkFileInfo_text {
    width: 50%;
}

.checkFileInfo_link {
    width: 50%;
    text-align: right;
}

.urlUploadInfo_inboxAttachmentWrapper {
    margin-bottom: 40px;
    max-height: 195px;
    border: 1px solid #D9DEE5;
    border-radius: 8px;
    overflow: auto;
}

.urlUploadInfo_inboxAttachment {
    width: 100%;
    border-collapse: collapse;
}

.urlUploadInfo_inboxAttachment tr:last-child td {
    border: none;
}

.inboxAttachment_row {
    display: flex;
    padding: 12px 16px;
    align-items: center;
    border-bottom: 1px solid #D9DEE5;
    cursor: pointer;
}

.inboxAttachment_row-selected {
    display: flex;
    padding: 12px 16px;
    align-items: center;
    background-color: #F6F8FB;
    border-bottom: 1px solid #D9DEE5;
    cursor: pointer;
}

.inboxAttachment_icon-attach {
    margin-right: 8px;
}

.inboxAttachment_name {
    flex-grow: 1;
}

.filePreview_header {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    border-top-right-radius: 8px;
    background: #D9DEE5;
}

.filePreview_preview-pdf {
    display: block;
    margin: 0 auto;
    width: 524px;
    height: 765px;
    box-sizing: border-box;
}

.filePreview_preview-image {
    overflow: auto;
    margin: 2px auto 0;
    width: 520px;
    height: 693px;
    text-align: center;
    box-sizing: border-box;
    justify-content: center;
}

.preview_file-image {
    max-height: calc(100% - 4px);
    max-width: 100%;
}

.filePreview_preview-button {
    display: flex;
    margin: 16px;
    justify-content: flex-end;
}

.preview_button {
    position: absolute;
    bottom: 16px;
    left: 16px;
    height: 40px;
    padding-left: 22px;
    padding-right: 50px;
    background-color: #FFFFFF;
    background-image: url(../icon24/ExternalLink.png);
    background-repeat: no-repeat;
    background-position: top 6px right 22px;
}

.filePreview_cantPreviewDisplay {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 40px 36px;
    grid-row-gap: 16px;
    background-color: #FFFFFF;
    border-radius: 8px;
    width: 416px;
    box-sizing: border-box;
}

.filePreview_cantPreviewDisplayWrapper {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.downloadModal_text {
    line-height: 150%;
    text-align: center;
}

.downloadModal_subText {
    line-height: 150%;
    text-align: center;
    font-size: 12px;
    color: #4F6071;
}

/* ------------------ 送信完了画面 ------------------ */
.SendComplete_wrapper {
    text-align: center;
}

.SendComplete_image{
    margin-top: 80px;
}

.SendComplete_message-large {
    margin-bottom: 24px;
    font-weight: 700;
    font-size: 20px;
    line-height: 150%;
}

.SendComplete_message-sub {
    margin-bottom: 80px;
    line-height: 150%;
    color: #4F6071;
}